Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.workflow.instance
Interface WorkflowProcessInstance

All Superinterfaces:
  ContextableInstance, ContextInstanceContainer, EventListener, NodeInstanceContainer, ProcessInstance, WorkflowProcessInstance

    public interface WorkflowProcessInstance

extends ProcessInstance, WorkflowProcessInstance

Field Summary

Fields inherited from interface org.kie.runtime.process.ProcessInstance
`STATE_ABORTED, STATE_ACTIVE, STATE_COMPLETED, STATE_PENDING, STATE_SUSPENDED`

Method Summary
`void` | `addEventListener(String type, EventListener eventListener, boolean external)`
`void` | `removeEventListener(String type, EventListener eventListener, boolean external)`

Methods inherited from interface org.jbpm.process.instance.ProcessInstance
`getKnowledgeRuntime, getOutcome, getProcess, setId, setKnowledgeRuntime, setProcess, setState, setState, start`

Methods inherited from interface org.jbpm.process.instance.ContextInstanceContainer
`addContextInstance, getContextContainer, getContextInstance, getContextInstance, getContextInstances, removeContextInstance`

Methods inherited from interface org.jbpm.process.instance.ContextableInstance
`getContextInstance`

Methods inherited from interface org.kie.runtime.process.WorkflowProcessInstance
`getVariable, setVariable`

Methods inherited from interface org.kie.runtime.process.ProcessInstance
`getId, getProcessId, getProcessName, getState`

Methods inherited from interface org.kie.runtime.process.EventListener
`getEventTypes, signalEvent`

Methods inherited from interface org.kie.runtime.process.NodeInstanceContainer
`getNodeInstance, getNodeInstances`

Method Detail

### addEventListener

    void addEventListener(String type,
                          EventListener eventListener,
                          boolean external)

### removeEventListener

    void removeEventListener(String type,
                             EventListener eventListener,
                             boolean external)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.